package addbk.JAddressBook;


import gui.run.RunMenu;
import gui.run.RunMenuBar;
import gui.run.RunMenuItem;


public class AddressBookJMenu
        extends RunMenuBar {


    public AddressBookJMenu() {
        RunMenu fileMenu =
                new RunMenu("[File");
        fileMenu.add(new MenuOpen());
        fileMenu.add(new MenuSave());
        fileMenu.add(new MenuMerge());
        fileMenu.add(new MenuExport());
        fileMenu.add(new MenuExit());
        add(fileMenu);
    }

    public class MenuOpen extends RunMenuItem  {
        MenuOpen() {
            super("Open");
        }

        public void run() {
            System.out.println("Run Open Object");
            AddressBookMediator display =
                    AddressBookMediator.getAddressBookMediator();
            display.dbOpen();
        }
    }

    public class MenuSave extends RunMenuItem {
        MenuSave() {
            super("Save");
        }

        public void run() {
            System.out.println(
                    "Run Close Object");
            AddressBookMediator display =
                    AddressBookMediator.getAddressBookMediator();
            display.dbSave();
        }
    }

    public class MenuMerge extends RunMenuItem {
            MenuMerge() {
                super("Merge CSV");
            }

            public void run() {
                System.out.println("Run Merge CSV");
                AddressBookMediator display =
                        AddressBookMediator.getAddressBookMediator();
                display.dbMerge();
            }
        }

        public class MenuExport extends RunMenuItem {
            MenuExport() {
                super("Export CSV");
            }

            public void run() {
                System.out.println("Run Export CSV");
                AddressBookMediator display =
                        AddressBookMediator.getAddressBookMediator();
                display.dbExport();
            }
        }


    public class MenuExit extends RunMenuItem {
        MenuExit() {
            super("Exit");
        }

        public void run() {
            System.out.println("Run exit");
            System.exit(0);
        }
    }


}