package addbk.JAddressBook;

import gui.run.RunButton;

import javax.swing.*;
import java.awt.*;

public class NavigationJPanel
        extends JPanel {
    AddressBookMediator abm =
            AddressBookMediator.getAddressBookMediator();
    boolean editMode = true;

    public NavigationJPanel() {
        setLayout(new GridLayout(0, 1));
        add(new RunButton("[Previous") {
            public void run() {
                        System.out.println("to be implemented");
            }
        });
        add(new RunButton("[next") {
            public void run() {
                System.out.println("to be implemented");
            }
        });
        add(new RunButton("[edit") {
            public void run() {
                if (editMode)
                    doEditMode(this);
                else
                    doDoneMode(this);
            }
        });
        add(new RunButton("[index") {
            public void run() {
                // todo display index here
                System.out.println("to be implemented");
            }
        });

    }

    private void doDoneMode(RunButton rb) {

        AddressBookDatabase abd = abm.getAbd();
        AddressBookJFrame abf = abm.getAdf();
        AddressBookRecord abr = abf.getAddressBookRecord();
        abd.saveCurrentRecord(abr);
        abd.sort();
        AddressBookMediator.getAddressBookMediator().setIndexItems();
        abm.setStorageRecord((abd.readRecord()));
        abm.setEditFlag(false);
        editMode = !editMode;
        rb.setText("[edit");
        AddressBookJFrame adf = abm.getAdf();
        adf.getTf().setEditable(false);
        AddressJPanel ap = adf.getAp();
        ap.t0.setEditable(false);
        ap.t1.setEditable(false);

    }

    private void doEditMode(RunButton rb) {
        // todo
        System.out.println("implement the edit button");
    }


} // end class NavigationPanel
