package addbk.JAddressBook;

/**
 * Created by IntelliJ IDEA.
 * User: Subhash
 * Date: Mar 16, 2005
 * Time: 8:18:45 AM
 * To change this template use File | Settings | File Templates.
 */


import gui.run.RunButton;

import java.awt.*;


public class EditNavJPanel
        extends NavigationJPanel {

    EditNavJPanel() {
        setLayout(new GridLayout(0, 1));
        add(new RunButton("[Previous") {
            public void run() {

                if (abm.isEditFlag()) {
                    AddressBookJFrame abf = abm.getAdf();
                    AddressBookRecord abr = abf.getAddressBookRecord();
                    abm.getAbd().saveCurrentRecord(abr);
                    abm.getAbd().sort();
                    abm.getAddressBookMediator().setIndexItems();
                    abm.setStorageRecord((abm.getAbd().readRecord()));
                    abm.setEditFlag(false);
                }
                abm.prevRecord();
            }
        });
        add(new RunButton("[next") {
            public void run() {
                if (abm.isEditFlag()) {
                    AddressBookJFrame abf = abm.getAdf();
                    AddressBookRecord abr = abf.getAddressBookRecord();
                    abm.getAbd().saveCurrentRecord(abr);
                    abm.getAbd().sort();
                    abm.getAddressBookMediator().setIndexItems();
                    abm.setStorageRecord((abm.getAbd().readRecord()));
                    abm.setEditFlag(false);
                }
                abm.nextRecord();
            }
        });
        add(new RunButton("[edit") {
            public void run() {
                abm.getAdf().setEditable(true);
                if (abm.isEmptyDb()) {
                    // auto add record in edit mode when none
                    AddressBookRecord abr =
                            new AddressBookRecord();
                    abr.setName("new record");
                    abm.getAdf().setRecord(abr);
                    AddressBookMediator.getAddressBookMediator().addRecord();
                    abm.setEmptyDb(false);
                }
            }
        });

        add(new RunButton("[done") {
            public void run() {
                doDoneMode(this);
            }
        });

    }

    private void doDoneMode(RunButton rb) {
        editMode = !editMode;
        rb.setText("[edit");
        AddressBookJFrame adf = abm.getAdf();
        adf.setEditable(false);
    }
}
